Package com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation

# Class OpFetchSerializerForApplication

java.lang.Object
com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.OpAbstract
com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.OpFetchSerializerForApplication

All Implemented Interfaces:
  `CBCGSerializerInstantiationOperationType`, `OpFetchSerializerType`, `Comparable<CBCGSerializerInstantiationOperationType>`

public final class OpFetchSerializerForApplication extends OpAbstract implements OpFetchSerializerType
An operation that fetches a serializer for the given type application.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpFetchSerializerForApplication(int order, String inLocalName, com.io7m.jodist.ParameterizedTypeName inJavaTypeName, OpBuildTypeArgumentForApplication inTypeArgument)`
  An operation that fetches a serializer for the given type application.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `javaLocalName()`
  `com.io7m.jodist.CodeBlock`
  `serialize()`

  ### Methods inherited from class com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.OpAbstract

  `programOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.CBCGSerializerInstantiationOperationType

  `compareTo, programOrder`

- ## Constructor Details

  - ### OpFetchSerializerForApplication

    public OpFetchSerializerForApplication(int order, String inLocalName, com.io7m.jodist.ParameterizedTypeName inJavaTypeName, OpBuildTypeArgumentForApplication inTypeArgument)
    An operation that fetches a serializer for the given type application.
    Parameters:
      `order` - The program order
      `inJavaTypeName` - The target Java type
      `inTypeArgument` - The operation that builds a type argument
      `inLocalName` - The local variable name

- ## Method Details

  - ### javaLocalName

    public String javaLocalName()
    Specified by:
      `javaLocalName` in interface `OpFetchSerializerType`
    Returns:
      The java class to which this operation belongs

  - ### serialize

    public com.io7m.jodist.CodeBlock serialize()
    Specified by:
      `serialize` in interface `CBCGSerializerInstantiationOperationType`
    Returns:
      The code block to execute